petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscFVRegister

Adds a new PetscFV implementation

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVRegister(const char sname[], PetscErrorCode (*function)(PetscFV))

Not Collective

### Input Parameters

| name | - The name of a new user-defined creation routine
| create_func | - The creation routine itself

### Notes

PetscFVRegister() may be called multiple times to add several user-defined PetscFVs

### Sample usage

        PetscFVRegister("my_fv", MyPetscFVCreate);

Then, your PetscFV type can be chosen with the procedural interface via

        PetscFVCreate(MPI_Comm, PetscFV *);
        PetscFVSetType(PetscFV, "my_fv");

or at runtime via the option

        -petscfv_type my_fv

### Keywords

PetscFV, register

### See Also

PetscFVRegisterAll(), PetscFVRegisterDestroy()

Level:advanced
Location:src/dm/dt/interface/dtfv.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages